# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Template/Plugin/Filter.pm) perl(Test/More.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 1.04
%define module_name Template-Plugin-Body
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: Strip HTML to just keep the body content
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AD/ADAMK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The things we do to support designers...

When you are including a big chunk of HTML into a page via an include, you
can have problems editing it in WYSIWYG editors because it won't have the
stylesheets, meta tags and javascript libs that the main document does.

So for the sake of designers, the best solution is to provide the includes
with full HTML headers, including proper styles and so on. They can do what
they like in Dreamweaver or Editor De Jour. Then when including, we strip
the wrapping off to get just the content.

And that's what this module does. It removes everything to keep only what
is inside the body tags.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/T*

%changelog
* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- initial import by package builder

